%define upstream_name Lingua-EN-Number-IsOrdinal
%define upstream_version 0.05

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Detect if English number is ordinal or cardinal
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Lingua::EN::FindNumber)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This module will tell you if a number, either in words or as digits, is
a cardinal or ordinal number
<https://ego4u.com/en/cram-up/vocabulary/numbers/ordinal>.

This is useful if you e.g. want to distinguish these types of numbers
found with Lingua::EN::FindNumber and take different actions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-7.mga10
+ Revision: 2199534
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-6.mga9
+ Revision: 1804211
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-5.mga8
+ Revision: 1495303
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-4.mga7
+ Revision: 1268872
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1029147
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 966508
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 845866
- update to 0.05

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 789664
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 744771
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 685208
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 537297
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 486697
- imported package perl-Lingua-EN-Number-IsOrdinal

